/* Copyright (c) 1997, MpegTV LLC */
#ifndef _ts_api_h
#define _ts_api_h
#ifndef lint
static const char rcsid_ts_api_h[] = "$Header: /net/hopkins/var/home/tristan/mpeg/dec/RCS/ts_api.h,v 1.2 1998/05/29 22:16:33 tristan Exp $";
#endif


/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */

#include "misc.h"

/*--------------------------------------------------------------------------+
| Macros																	|
+--------------------------------------------------------------------------*/

#define TS_GET(tsp)	((tsp)->val)

#define TS_SET(tsp, v)	STMT((tsp)->def = 1; (tsp)->val = (v);)

#define TS_UNSET(tsp)	STMT((tsp)->def = 0;)

#define TS_IS_SET(tsp)	((tsp)->def)


/*--------------------------------------------------------------------------+
| Data types																|
+--------------------------------------------------------------------------*/
/*
 * Opaque type used for time stamps (PTS, DTS and SCR)
 */

typedef struct {
	short	def;	/* True means value is defined, False means it is undefined */
	double	val;		/* time stamp value, in sec */
} TS;


#endif /* _ts_api_h */
